using System.Text.Json;

namespace View_by_Distance.Delete.By.Distinct.Models;

public record AppSettings(string Company,
                   string CompareRootDirectory,
                   int MaxDegreeOfParallelism,
                   string OutputExtension,
                   bool RecycleOption,
                   bool RenameToMatch,
                   string SearchPattern,
                   bool SizeForLong,
                   bool TicksForLong,
                   string WorkingDirectoryName)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}