namespace View_by_Distance.Map.Models.Stateless.Methods;

public interface IMapLogic
{

    Dictionary<int, List<long>> TestStatic_GetIdToPersonKeys(Dictionary<long, List<int>> personKeyToIds) =>
        GetIdToPersonKeys(personKeyToIds);
    static Dictionary<int, List<long>> GetIdToPersonKeys(Dictionary<long, List<int>> personKeyToIds) =>
        MapLogic.GetIdToPersonKeys(personKeyToIds);

    List<Shared.Models.Face> TestStatic_GetFaces(List<Shared.Models.Item> items) =>
         GetFaces(items);
    static List<Shared.Models.Face> GetFaces(List<Shared.Models.Item> items) =>
        MapLogic.GetFaces(items);

    Shared.Models.Mapping[] TestStatic_GetSelectedMappingCollection(List<Shared.Models.Item> items) =>
        GetSelectedMappingCollection(items);
    static Shared.Models.Mapping[] GetSelectedMappingCollection(List<Shared.Models.Item> items) =>
        MapLogic.GetSelectedMappingCollection(items);

    Shared.Models.Mapping[] TestStatic_GetSelectedMappingCollection(List<Shared.Models.Face> faces) =>
        GetSelectedMappingCollection(faces);
    static Shared.Models.Mapping[] GetSelectedMappingCollection(List<Shared.Models.Face> faces) =>
        MapLogic.GetSelectedMappingCollection(faces);

    Dictionary<int, Dictionary<int, Shared.Models.Mapping>> TestStatic_GetIdToNormalizedRectangleToFace(Shared.Models.Mapping[] mappingCollection) =>
        GetIdToNormalizedRectangleToFace(mappingCollection);
    static Dictionary<int, Dictionary<int, Shared.Models.Mapping>> GetIdToNormalizedRectangleToFace(Shared.Models.Mapping[] mappingCollection) =>
        MapLogic.GetIdToNormalizedRectangleToFace(mappingCollection);

}