using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public class MappingFromPhotoPrism : Properties.IMappingFromPhotoPrism
{

    public DatabaseFile DatabaseFile { init; get; }
    public List<Marker> Markers { init; get; }

    [JsonConstructor]
    public MappingFromPhotoPrism(DatabaseFile databaseFile, List<Marker> markers)
    {
        DatabaseFile = databaseFile;
        Markers = markers;
    }

}
