namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IMappingFromItem
{ // ...

    MappingFromItem TestStatic_GetMappingFromItem(DateTime[] containerDateTimes, Models.Item item, Models.FileHolder? resizedFileHolder)
        => GetMappingFromItem(containerDateTimes, item, resizedFileHolder);
    static MappingFromItem GetMappingFromItem(DateTime[] containerDateTimes, Models.Item item, Models.FileHolder? resizedFileHolder)
        => MappingFromItem.GetMappingFromItem(containerDateTimes, item, resizedFileHolder);

    MappingFromItem TestStatic_GetMappingFromItem(Models.Item item)
        => GetMappingFromItem(item);
    static MappingFromItem GetMappingFromItem(Models.Item item)
        => GetMappingFromItem(containerDateTimes: Array.Empty<DateTime>(), item, item.ResizedFileHolder);

}