﻿using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record Marker(
    [property: JsonPropertyName("marker_uid")] string MarkerUid,
    [property: JsonPropertyName("file_uid")] string FileUid,
    [property: JsonPropertyName("marker_type")] string MarkerType,
    [property: JsonPropertyName("marker_src")] string MarkerSrc,
    [property: JsonPropertyName("marker_name")] string MarkerName,
    [property: JsonPropertyName("marker_review")] int MarkerReview,
    [property: JsonPropertyName("marker_invalid")] int MarkerInvalid,
    [property: JsonPropertyName("subj_uid")] string SubjUid,
    [property: JsonPropertyName("subj_src")] string SubjSrc,
    [property: JsonPropertyName("face_id")] string FaceId,
    [property: JsonPropertyName("face_dist")] double FaceDist,
    [property: JsonPropertyName("x")] double X,
    [property: JsonPropertyName("y")] double Y,
    [property: JsonPropertyName("w")] double W,
    [property: JsonPropertyName("h")] double H,
    [property: JsonPropertyName("q")] int Q,
    [property: JsonPropertyName("size")] int Size,
    [property: JsonPropertyName("score")] int Score,
    [property: JsonPropertyName("thumb")] string Thumb,
    [property: JsonPropertyName("matched_at")] string MatchedAt,
    [property: JsonPropertyName("created_at")] string CreatedAt,
    [property: JsonPropertyName("updated_at")] string UpdatedAt
);