namespace View_by_Distance.Shared.Models.Properties;

public interface IItem
{

    public bool? FileSizeChanged { get; }
    public List<Face> Faces { get; }
    public FileHolder ImageFileHolder { get; }
    public bool? IsNotUniqueAndNeedsReview { get; }
    public bool IsUniqueFileName { get; }
    public bool IsValidImageFormatExtension { get; }
    public bool? Moved { get; }
    public Property? Property { get; }
    public string RelativePath { get; }
    public FileHolder? ResizedFileHolder { get; }
    public FileHolder SourceDirectoryFileHolder { get; }

}