namespace View_by_Distance.Shared.Models.Properties;

public interface IPropertyConfiguration
{

    public string DateGroup { init; get; }
    public string[] IgnoreExtensions { init; get; }
    public string PersonBirthdayFormat { init; get; }
    public bool PropertiesChangedForProperty { init; get; }
    public string[] PropertyContentCollectionFiles { init; get; }
    public string ResultAllInOne { init; get; }
    public string ResultCollection { init; get; }
    public string ResultContent { init; get; }
    public string ResultSingleton { init; get; }
    public string[] ValidImageFormatExtensions { init; get; }
    public string? ModelName { get; }
    public int? NumberOfJitters { get; }
    public int? NumberOfTimesToUpsample { get; }
    public string? PredictorModelName { get; }
    public string RootDirectory { get; }

}